DROP TABLE IF EXISTS S;
CREATE TABLE S ( sid CHAR(2), 
                 sname CHAR(20), 
                 status INTEGER, 
                 city CHAR(20), 
                 PRIMARY KEY (sid) );


DROP TABLE IF EXISTS P;
CREATE TABLE P ( pid CHAR(2), 
                 pname CHAR(20), 
                 color CHAR(5), 
                 weight INTEGER, 
                 city CHAR(20), 
                 PRIMARY KEY (pid) );


DROP TABLE IF EXISTS J;
CREATE TABLE J ( jid CHAR(2),
                 name CHAR(20), 
                 city CHAR(20), 
                 PRIMARY KEY (jid) );


DROP TABLE IF EXISTS SPJ;
CREATE TABLE SPJ ( sid CHAR(2), 
                   pid CHAR(2), 
                   jid CHAR(2), 
                   qty INTEGER,
                   PRIMARY KEY (sid, pid, jid), 
                   FOREIGN KEY (sid) REFERENCES S(sid),
                   FOREIGN KEY (pid) REFERENCES P(pid),
                   FOREIGN KEY (jid) REFERENCES J(jid) );                   ;


INSERT INTO S VALUES( 'S1', 'Smith', 20, 'London' );
INSERT INTO S VALUES( 'S2', 'Jones', 10, 'Paris'  );
INSERT INTO S VALUES( 'S3', 'Blake', 30, 'Paris'  );
INSERT INTO S VALUES( 'S4', 'Clark', 20, 'London' );
INSERT INTO S VALUES( 'S5', 'Adams', 30, 'Athens' );


INSERT INTO P VALUES( 'P1', 'Nut',   'Red',   12, 'London' );
INSERT INTO P VALUES( 'P2', 'Bolt',  'Green', 17, 'Paris'  );
INSERT INTO P VALUES( 'P3', 'Screw', 'Blue',  17, 'Oslo'   );
INSERT INTO P VALUES( 'P4', 'Screw', 'Red',   14, 'London' );
INSERT INTO P VALUES( 'P5', 'Cam',   'Blue',  12, 'Paris'  );
INSERT INTO P VALUES( 'P6', 'Cog',   'Red',   19, 'London' );


INSERT INTO J VALUES( 'J1', 'Sorter',   'Paris' );
INSERT INTO J VALUES( 'J2', 'Display',  'Rome' );
INSERT INTO J VALUES( 'J3', 'OCR',      'Athens' );
INSERT INTO J VALUES( 'J4', 'Console',  'Athens' );
INSERT INTO J VALUES( 'J5', 'RAID',     'London' );
INSERT INTO J VALUES( 'J6', 'EDS',      'Oslo' );
INSERT INTO J VALUES( 'J7', 'Tape',     'London' );


INSERT INTO SPJ VALUES( 'S1', 'P1', 'J1', 200 );
INSERT INTO SPJ VALUES( 'S1', 'P1', 'J4', 700 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J1', 400 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J2', 200 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J3', 200 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J4', 500 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J5', 600 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J6', 400 );
INSERT INTO SPJ VALUES( 'S2', 'P3', 'J7', 800 );
INSERT INTO SPJ VALUES( 'S2', 'P5', 'J2', 100 );
INSERT INTO SPJ VALUES( 'S3', 'P3', 'J1', 200 );
INSERT INTO SPJ VALUES( 'S3', 'P4', 'J2', 500 );
INSERT INTO SPJ VALUES( 'S4', 'P6', 'J3', 300 );
INSERT INTO SPJ VALUES( 'S4', 'P6', 'J7', 300 );
INSERT INTO SPJ VALUES( 'S5', 'P2', 'J2', 200 );
INSERT INTO SPJ VALUES( 'S5', 'P2', 'J4', 100 );
INSERT INTO SPJ VALUES( 'S5', 'P5', 'J5', 500 );
INSERT INTO SPJ VALUES( 'S5', 'P5', 'J7', 100 );
INSERT INTO SPJ VALUES( 'S5', 'P6', 'J2', 200 );
INSERT INTO SPJ VALUES( 'S5', 'P1', 'J4', 100 );
INSERT INTO SPJ VALUES( 'S5', 'P3', 'J4', 200 );
INSERT INTO SPJ VALUES( 'S5', 'P4', 'J4', 800 );
INSERT INTO SPJ VALUES( 'S5', 'P5', 'J4', 400 );
INSERT INTO SPJ VALUES( 'S5', 'P6', 'J4', 500 );
